<!DOCTYPE qgis PUBLIC 'http://mrcc.com/qgis.dtd' 'SYSTEM'>
<qgis readOnly="0" hasScaleBasedVisibilityFlag="0" maxScale="0" minScale="1e+08" styleCategories="AllStyleCategories" version="3.4.0-Madeira">
  <flags>
    <Identifiable>1</Identifiable>
    <Removable>1</Removable>
    <Searchable>1</Searchable>
  </flags>
  <customproperties>
    <property key="dualview/previewExpressions">
      <value>pkuid</value>
    </property>
    <property key="embeddedWidgets/count" value="0"/>
    <property key="variableNames"/>
    <property key="variableValues"/>
  </customproperties>
  <geometryOptions removeDuplicateNodes="0" geometryPrecision="0">
    <activeChecks/>
    <checkConfiguration/>
  </geometryOptions>
  <fieldConfiguration>
    <field name="pkuid">
      <editWidget type="TextEdit">
        <config>
          <Option type="Map">
            <Option type="bool" value="false" name="IsMultiline"/>
            <Option type="bool" value="false" name="UseHtml"/>
          </Option>
        </config>
      </editWidget>
    </field>
    <field name="id_observation">
      <editWidget type="TextEdit">
        <config>
          <Option type="Map">
            <Option type="bool" value="false" name="IsMultiline"/>
            <Option type="bool" value="false" name="UseHtml"/>
          </Option>
        </config>
      </editWidget>
    </field>
    <field name="id_operation">
      <editWidget type="RelationReference">
        <config>
          <Option/>
        </config>
      </editWidget>
    </field>
    <field name="codeEesp">
      <editWidget type="ValueRelation">
        <config>
          <Option type="Map">
            <Option type="bool" value="false" name="AllowMulti"/>
            <Option type="bool" value="false" name="AllowNull"/>
            <Option type="QString" value="" name="FilterExpression"/>
            <Option type="QString" value="code_espece" name="Key"/>
            <Option type="QString" value="taxons_f28e20d6_2b9a_439d_a121_3f35e8a7f36e" name="Layer"/>
            <Option type="int" value="1" name="NofColumns"/>
            <Option type="bool" value="false" name="OrderByValue"/>
            <Option type="bool" value="false" name="UseCompleter"/>
            <Option type="QString" value="nom_latin" name="Value"/>
          </Option>
        </config>
      </editWidget>
    </field>
    <field name="longueur">
      <editWidget type="TextEdit">
        <config>
          <Option type="Map">
            <Option type="bool" value="false" name="IsMultiline"/>
            <Option type="bool" value="false" name="UseHtml"/>
          </Option>
        </config>
      </editWidget>
    </field>
    <field name="poids">
      <editWidget type="TextEdit">
        <config>
          <Option type="Map">
            <Option type="bool" value="false" name="IsMultiline"/>
            <Option type="bool" value="false" name="UseHtml"/>
          </Option>
        </config>
      </editWidget>
    </field>
    <field name="remarque">
      <editWidget type="ValueRelation">
        <config>
          <Option type="Map">
            <Option type="bool" value="false" name="AllowMulti"/>
            <Option type="bool" value="false" name="AllowNull"/>
            <Option type="QString" value="" name="FilterExpression"/>
            <Option type="QString" value="cd_nom" name="Key"/>
            <Option type="QString" value="taxons_f28e20d6_2b9a_439d_a121_3f35e8a7f36e" name="Layer"/>
            <Option type="int" value="1" name="NofColumns"/>
            <Option type="bool" value="false" name="OrderByValue"/>
            <Option type="bool" value="false" name="UseCompleter"/>
            <Option type="QString" value="cd_nom" name="Value"/>
          </Option>
        </config>
      </editWidget>
    </field>
  </fieldConfiguration>
  <aliases>
    <alias name="" field="pkuid" index="0"/>
    <alias name="" field="id_observation" index="1"/>
    <alias name="" field="id_operation" index="2"/>
    <alias name="" field="codeEesp" index="3"/>
    <alias name="" field="longueur" index="4"/>
    <alias name="" field="poids" index="5"/>
    <alias name="" field="remarque" index="6"/>
  </aliases>
  <excludeAttributesWMS/>
  <excludeAttributesWFS/>
  <defaults>
    <default expression="" applyOnUpdate="0" field="pkuid"/>
    <default expression="" applyOnUpdate="0" field="id_observation"/>
    <default expression="" applyOnUpdate="0" field="id_operation"/>
    <default expression="" applyOnUpdate="0" field="codeEesp"/>
    <default expression="" applyOnUpdate="0" field="longueur"/>
    <default expression="" applyOnUpdate="0" field="poids"/>
    <default expression="" applyOnUpdate="0" field="remarque"/>
  </defaults>
  <constraints>
    <constraint notnull_strength="1" unique_strength="1" exp_strength="0" constraints="3" field="pkuid"/>
    <constraint notnull_strength="0" unique_strength="0" exp_strength="0" constraints="0" field="id_observation"/>
    <constraint notnull_strength="0" unique_strength="0" exp_strength="0" constraints="0" field="id_operation"/>
    <constraint notnull_strength="0" unique_strength="0" exp_strength="0" constraints="0" field="codeEesp"/>
    <constraint notnull_strength="0" unique_strength="0" exp_strength="0" constraints="0" field="longueur"/>
    <constraint notnull_strength="0" unique_strength="0" exp_strength="0" constraints="0" field="poids"/>
    <constraint notnull_strength="0" unique_strength="0" exp_strength="0" constraints="0" field="remarque"/>
  </constraints>
  <constraintExpressions>
    <constraint desc="" exp="" field="pkuid"/>
    <constraint desc="" exp="" field="id_observation"/>
    <constraint desc="" exp="" field="id_operation"/>
    <constraint desc="" exp="" field="codeEesp"/>
    <constraint desc="" exp="" field="longueur"/>
    <constraint desc="" exp="" field="poids"/>
    <constraint desc="" exp="" field="remarque"/>
  </constraintExpressions>
  <expressionfields/>
  <attributeactions>
    <defaultAction key="Canvas" value="{00000000-0000-0000-0000-000000000000}"/>
  </attributeactions>
  <attributetableconfig actionWidgetStyle="dropDown" sortOrder="0" sortExpression="">
    <columns>
      <column type="field" hidden="0" name="pkuid" width="-1"/>
      <column type="field" hidden="0" name="id_observation" width="-1"/>
      <column type="field" hidden="0" name="id_operation" width="-1"/>
      <column type="actions" hidden="1" width="-1"/>
      <column type="field" hidden="0" name="codeEesp" width="-1"/>
      <column type="field" hidden="0" name="longueur" width="-1"/>
      <column type="field" hidden="0" name="poids" width="-1"/>
      <column type="field" hidden="0" name="remarque" width="-1"/>
    </columns>
  </attributetableconfig>
  <conditionalstyles>
    <rowstyles/>
    <fieldstyles/>
  </conditionalstyles>
  <editform tolerant="1"></editform>
  <editforminit/>
  <editforminitcodesource>0</editforminitcodesource>
  <editforminitfilepath></editforminitfilepath>
  <editforminitcode><![CDATA[# -*- coding: utf-8 -*-
"""
Les formulaires QGIS peuvent avoir une fonction Python qui sera appelée à l'ouverture du formulaire.

Utilisez cette fonction pour ajouter plus de fonctionnalités à vos formulaires.

Entrez le nom de la fonction dans le champ "Fonction d'initialisation Python".
Voici un exemple à suivre:
"""
from qgis.PyQt.QtWidgets import QWidget

def my_form_open(dialog, layer, feature):
    geom = feature.geometry()
    control = dialog.findChild(QWidget, "MyLineEdit")

]]></editforminitcode>
  <featformsuppress>0</featformsuppress>
  <editorlayout>tablayout</editorlayout>
  <attributeEditorForm>
    <attributeEditorContainer visibilityExpressionEnabled="0" columnCount="1" name="Observations" showLabel="1" groupBox="0" visibilityExpression="">
      <attributeEditorField name="id_observation" showLabel="1" index="1"/>
      <attributeEditorField name="id_operation" showLabel="1" index="2"/>
      <attributeEditorField name="pkuid" showLabel="1" index="0"/>
      <attributeEditorField name="codeEesp" showLabel="1" index="3"/>
      <attributeEditorField name="longueur" showLabel="1" index="4"/>
      <attributeEditorField name="poids" showLabel="1" index="5"/>
      <attributeEditorField name="remarque" showLabel="1" index="6"/>
    </attributeEditorContainer>
  </attributeEditorForm>
  <editable>
    <field name="codeEesp" editable="1"/>
    <field name="id_observation" editable="1"/>
    <field name="id_operation" editable="1"/>
    <field name="longueur" editable="1"/>
    <field name="pkuid" editable="1"/>
    <field name="poids" editable="1"/>
    <field name="remarque" editable="1"/>
  </editable>
  <labelOnTop>
    <field labelOnTop="0" name="codeEesp"/>
    <field labelOnTop="0" name="id_observation"/>
    <field labelOnTop="0" name="id_operation"/>
    <field labelOnTop="0" name="longueur"/>
    <field labelOnTop="0" name="pkuid"/>
    <field labelOnTop="0" name="poids"/>
    <field labelOnTop="0" name="remarque"/>
  </labelOnTop>
  <widgets/>
  <previewExpression>pkuid</previewExpression>
  <mapTip></mapTip>
  <layerGeometryType>4</layerGeometryType>
</qgis>
