<!DOCTYPE qgis PUBLIC 'http://mrcc.com/qgis.dtd' 'SYSTEM'>
<qgis readOnly="0" hasScaleBasedVisibilityFlag="0" maxScale="0" minScale="1e+08" styleCategories="AllStyleCategories" version="3.4.0-Madeira">
  <flags>
    <Identifiable>1</Identifiable>
    <Removable>1</Removable>
    <Searchable>1</Searchable>
  </flags>
  <customproperties>
    <property key="dualview/previewExpressions">
      <value>pkuid</value>
    </property>
    <property key="embeddedWidgets/count" value="0"/>
    <property key="variableNames"/>
    <property key="variableValues"/>
  </customproperties>
  <geometryOptions removeDuplicateNodes="0" geometryPrecision="0">
    <activeChecks/>
    <checkConfiguration/>
  </geometryOptions>
  <fieldConfiguration>
    <field name="pkuid">
      <editWidget type="TextEdit">
        <config>
          <Option/>
        </config>
      </editWidget>
    </field>
    <field name="id_operation">
      <editWidget type="TextEdit">
        <config>
          <Option/>
        </config>
      </editWidget>
    </field>
    <field name="id_station">
      <editWidget type="RelationReference">
        <config>
          <Option/>
        </config>
      </editWidget>
    </field>
  </fieldConfiguration>
  <aliases>
    <alias name="" field="pkuid" index="0"/>
    <alias name="" field="id_operation" index="1"/>
    <alias name="" field="id_station" index="2"/>
  </aliases>
  <excludeAttributesWMS/>
  <excludeAttributesWFS/>
  <defaults>
    <default expression="" applyOnUpdate="0" field="pkuid"/>
    <default expression="" applyOnUpdate="0" field="id_operation"/>
    <default expression="" applyOnUpdate="0" field="id_station"/>
  </defaults>
  <constraints>
    <constraint notnull_strength="1" unique_strength="1" exp_strength="0" constraints="3" field="pkuid"/>
    <constraint notnull_strength="0" unique_strength="0" exp_strength="0" constraints="0" field="id_operation"/>
    <constraint notnull_strength="0" unique_strength="0" exp_strength="0" constraints="0" field="id_station"/>
  </constraints>
  <constraintExpressions>
    <constraint desc="" exp="" field="pkuid"/>
    <constraint desc="" exp="" field="id_operation"/>
    <constraint desc="" exp="" field="id_station"/>
  </constraintExpressions>
  <expressionfields/>
  <attributeactions>
    <defaultAction key="Canvas" value="{00000000-0000-0000-0000-000000000000}"/>
  </attributeactions>
  <attributetableconfig actionWidgetStyle="dropDown" sortOrder="0" sortExpression="">
    <columns>
      <column type="field" hidden="0" name="pkuid" width="-1"/>
      <column type="field" hidden="0" name="id_operation" width="-1"/>
      <column type="field" hidden="0" name="id_station" width="-1"/>
      <column type="actions" hidden="1" width="-1"/>
    </columns>
  </attributetableconfig>
  <conditionalstyles>
    <rowstyles/>
    <fieldstyles/>
  </conditionalstyles>
  <editform tolerant="1"></editform>
  <editforminit/>
  <editforminitcodesource>0</editforminitcodesource>
  <editforminitfilepath></editforminitfilepath>
  <editforminitcode><![CDATA[# -*- coding: utf-8 -*-
"""
Les formulaires QGIS peuvent avoir une fonction Python qui sera appelée à l'ouverture du formulaire.

Utilisez cette fonction pour ajouter plus de fonctionnalités à vos formulaires.

Entrez le nom de la fonction dans le champ "Fonction d'initialisation Python".
Voici un exemple à suivre:
"""
from qgis.PyQt.QtWidgets import QWidget

def my_form_open(dialog, layer, feature):
    geom = feature.geometry()
    control = dialog.findChild(QWidget, "MyLineEdit")

]]></editforminitcode>
  <featformsuppress>0</featformsuppress>
  <editorlayout>tablayout</editorlayout>
  <attributeEditorForm>
    <attributeEditorField name="pkuid" showLabel="1" index="0"/>
    <attributeEditorField name="id_operation" showLabel="1" index="1"/>
    <attributeEditorField name="id_station" showLabel="1" index="2"/>
    <attributeEditorContainer visibilityExpressionEnabled="0" columnCount="2" name="Observations" showLabel="1" groupBox="0" visibilityExpression="">
      <attributeEditorRelation showLinkButton="1" showUnlinkButton="1" name="observatio_id_operation_operations_pkuid" showLabel="1" relation="observatio_id_operation_operations_pkuid"/>
    </attributeEditorContainer>
  </attributeEditorForm>
  <editable>
    <field name="id_operation" editable="1"/>
    <field name="id_station" editable="1"/>
    <field name="pkuid" editable="1"/>
  </editable>
  <labelOnTop>
    <field labelOnTop="0" name="id_operation"/>
    <field labelOnTop="0" name="id_station"/>
    <field labelOnTop="0" name="pkuid"/>
  </labelOnTop>
  <widgets>
    <widget name="observatio_id_operation_operations_id_operation">
      <config type="Map">
        <Option type="QString" value="" name="nm-rel"/>
      </config>
    </widget>
    <widget name="observatio_id_operation_operations_pkuid">
      <config type="Map">
        <Option type="QString" value="" name="nm-rel"/>
      </config>
    </widget>
  </widgets>
  <previewExpression>pkuid</previewExpression>
  <mapTip></mapTip>
  <layerGeometryType>4</layerGeometryType>
</qgis>
